#high-field formula for W   
#Eq. (9) of Rep. Prog. Phys. 76 036502 (2011)
import sys
import math as m
from scipy.special import ellipk,ellipe,dawsn

# units are eV,m_e,eV,W/cm^2
omega,mass,delta,I_0 = (1.55,0.5,6.5,1.33e15)    
print 'omega,mass,delta,I0', omega,mass,delta,I_0
#change to atomic units
Hartree = 27.21
omega = omega/Hartree
delta = delta/Hartree
field  = I_0**0.5*5.338e-9  # electric field in atomic units
gamma = omega*(mass*delta)**0.5/field   # the Keldysh parameter
print 'keldysh parameter', gamma

f1 = 4./(9*m.pi**2)
f2 = delta
f3 = (mass*delta)**1.5
f4 =  (omega/delta/gamma)**2.5
f5 = (m.pi*delta*gamma)/(2*omega)
W = f1*f2*f3*f4*m.e**(-f5)
#convert to m^-3 s^-3
length = 5.29e-11
t = 0.0242e-15
W = W/length**3/t
print 'W=  %6.2e (m^-3 s^-1)' % W