# full Keldysh formula:  Eq. (4-6) of Rep. Prog. Phys. 79 036502 (2011)
import sys
import math as m
from scipy.special import ellipk,ellipe,dawsn

# units are eV,m_e,eV,W/cm^2
omega,mass,delta,I_0 = (1.55,0.5,6.5,1.33e15)
print 'omega,mass,delta,I_0', omega,mass,delta,I_0
#change to atomic units
Hartree = 27.21
omega = omega/Hartree
delta = delta/Hartree
field  = I_0**0.5*5.338e-9

gamma = omega*(mass*delta)**0.5/field   # the Keldysh parameter
print 'Keldysh parameter gamma', gamma
gamma1 = gamma**2/(1.0+gamma**2)
gamma2 = 1.-gamma1

K1 = ellipk(gamma1)
E1 = ellipe(gamma1)
K2 = ellipk(gamma2)
E2 = ellipe(gamma2)
xx = 2/m.pi*delta/omega*E2/gamma1**0.5
ixx1 = int(xx+1)
alpha = m.pi*(K1-E1)/E2
beta = qsum = 0.0
t1 = (2*K2*E2)**0.5
for n in range(300):
  dawsn_arg=m.pi*(ixx1-xx+n)**0.5/t1
  qsum += m.e**(-n*alpha)*dawsn(dawsn_arg)

Q = (m.pi/(2*K2))**0.5*qsum
W = 4*omega/9/m.pi*(mass*omega/gamma1**0.5)**1.5*Q*m.e**(-ixx1*alpha)
# change units  from atomic to m^-3 s^-1
meter = 1./0.529e-10
second = 1./0.0242e-15
Wmks = W*meter**3*second
print 'Wmks =  %6.2e (m^-3 s^-1)' % Wmks
